<?php
App::uses('EvShopAppController', 'EvShop.Controller');

class OptionGroupsController extends EvShopAppController {

	protected function _adminFilterFields() {
		$fields = parent::_adminFilterFields();

		unset(
			$fields['OptionGroup.id'],
			$fields['OptionGroup.created'],
			$fields['OptionGroup.modified']
		);

		return $fields;
	}

	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		$fields['OptionGroup.name']['label'] = 'Option Group Name';

		return $fields;
	}

	public function admin_edit($id = null) {
		$this->toInject['helpers']['options'] = 'EvShop.options';

		parent::admin_edit($id);
	}
}
